### Virtual Method

# EBackend DataFactory create_backend

#### Declaration [src]

    EBackend*
    create_backend (
      EDataFactory* data_factory,
      EBackendFactory* backend_factory,
      ESource* source
    )

#### Description [src]

Used only when backend-per-process is off.

Free the returned pointer with g_object_unref(), if not NULL and no longer needed.

#### Parameters

`backend_factory`

  Type: `EBackendFactory`

  No description available.

  The data is owned by the caller of the method.

`source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `EBackend`

A newly-created `EBackend`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.